Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.2 Regression?: No

Operating System: Linux Mint Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 23979

Description

The data defined position of a table in the print composer isn't working since 2.18.

According to this post: http://gis.stackexchange.com/questions/218124/data-defined-position-of-table-in-print-composer-qgis-2-18

History

#1 - 2017-01-11 02:57 PM - Nyall Dawson

Looks like in this case "box_pos" is not equal to 'right', so the ELSE value of 10 is being returned. I'd add a temporary label somewhere on the composition

and check what's present in the "box_pos" field.

Note that the preview in the expression builder just operates on the first feature found in that layer, so may not reflect the values for the atlas page being

shown.

#2 - 2017-01-11 10:41 PM - Martin Höpke

Note according the screen shot: The text filed have got the same settings as the table but it's working. The expression of the text field and table x-position

is:

"CASE WHEN "box_pos" = 'left' THEN 148

ELSE 10 END"

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-12-19 01:16 AM - Nyall Dawson

- Status changed from Open to Feedback

- Description updated

Please retest using layouts engine on qgis 3.0 master

#5 - 2018-02-22 02:48 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed
Closing for lack of feedback, please reopen if necessary.
